## Overview

This module can redirect to field values for link, file, or image field types contained in user, node, taxonomy terms, or return "403 Forbidden" or "404 Not Found".
For redirects, you can specify the status code "301 Moved Permanently", "302 Found", "303 See Other", and "307 Temporary Redirect". (*The default is "307 Temporary Redirect", if not specified.)

## How to configuration:

Just one text area in configuration page: ``your-drupal-site-domain/admin/config/search/field-redirect``.

Example 1: ``node:article|field_source_url#301,#403``
Redirect to that URL with "301 Moved Permanently" status, if entity type the "node", if bundle is "article", and if "field_source_url" is entered.
Return a "403 Forbidden" status, if "field_source_url" is not entered.

Example 2: ``node:page|#404``
Return "404 Not Found" status, if entity type the "node", and if bundle is "page".
This is mainly for when you don't want to show the details page.

Example 3: ``taxonomy_term:*|field_overview_url,field_wiki_url``
Redirect to that URL with "307 Temporary Redirect" status, if entity type the "taxonomy_term", if vocabulary is all, and if "field_overview_url" is entered.
Redirect to that URL with "307 Temporary Redirect" status, if "field_overview_url" is not entered, and if "field_wiki_url" is entered.
Display the "taxonomy_term" in normally, if "field_wiki_url" is also not entered.

Example 4: ``user|field_sns_url``
Redirect to that URL with "307 Temporary Redirect" status, if entity type the "user", and if "field_sns_url" is entered.
Display the "user" in normally, if "field_sns_url" is not entered.

If you enter the above in the text area of the configuration form, it will look like this:

```
node:article|field_source_url#301,#403
node:page|#404
taxonomy_term:*|field_overview_url,field_wiki_url
user|field_sns_url
```
